//
// Authors:  Dean Hinshaw - University of Leicester
//  
// DSS test : Construct a DSS specification and test that it produces
//            a proper selectlib expression
//


#include <cstring>

#include "param.h"
#include <Dal.h>
#include <Region.h>
#include <DataSubspace.h>
#include <errstr.h>
#include <DataFilter.h>

int main(int argc, char **argv)
{
  if (argc != 2) {
    cerr<<"Usage: "<<argv[0]<<" <block> \n";
    return 1;
  }

  std::string block(argv[1]);
  DataSet * elist = dataSetServer->open(block, DataSet::Read);
  Block * eblk = elist->block(block);

  DataSubspace dss;

  eblk >> dss;

  errstr << "Equivalent selection expression for data subspace is " << endl << dss.selectExpression()
	 << Sas::message(Msg::App, Msg::Always);

  dataSetServer->close(elist);
  return 0;
}
  
